Contributing to Graphiti
===================

Thanks for your interest in this project.

Project description:
--------------------

The goal of Graphiti is to support the fast and easy creation of graphical tools, which can display and edit underlying domain models using a tool-defined graphical notation. Graphiti supports the developer in getting to a first version of an editor with very low effort by:

		Hiding platform specific technology (e.g. GEF / Draw2D on Eclipse)

		Providing rich default implementations inside the framework

		Providing a default look and feel that was designed in close co-operation with usability specialists

- https://projects.eclipse.org/projects/modeling.gmp.graphiti

Developer resources:
--------------------

Information regarding source code management, builds, coding standards, and more.

- https://projects.eclipse.org/projects/modeling.gmp.graphiti/developer

Contributor License Agreement:
------------------------------

Before your contribution can be accepted by the project, you need to create and electronically sign the Eclipse Foundation Contributor License Agreement (CLA).

- http://www.eclipse.org/legal/CLA.php

Contact:
--------

Contact the project developers via the project's "dev" list.

- mailto:graphiti-dev@eclipse.org

Search for bugs:
----------------

This project uses Bugzilla to track ongoing development and issues.

- https://bugs.eclipse.org/bugs/buglist.cgi?component=graphiti&product=GMP

Create a new bug:
-----------------

Be sure to search for existing bugs before you create another one. Remember that contributions are always welcome!

- https://bugs.eclipse.org/bugs/enter_bug.cgi?product=GMP&component=Graphiti

Contributions:
--------------

Contributions to the Eclipse Graphiti project are most welcome. There are many ways to contribute, 
from entering high quality bug reports, to contributing code or documentation changes. 
For a complete guide, see the [Contributions and Committing] [1] page on the team wiki.

[1]: http://wiki.eclipse.org/GMP/Graphiti#Working_on_Bugzillas_Contributions_and_Commiting


